# Do something on the page, in words

`POST /browser/sessions/{id}/act` · Rivier · search

Do something on the page, in words.

- Scope: search:write
- Mcp: rivier_browse_act
- Graphql: Mutation.searchBrowserAct
- Sdk: search.browser.act
- Cli: search browser act

## Parameters

- `id` (path, required), string

## Request body

`application/json`

```json
{
  "type": "object",
  "properties": {
    "instruction": {
      "type": "string",
      "minLength": 1,
      "maxLength": 2000
    }
  },
  "required": [
    "instruction"
  ],
  "additionalProperties": false
}
```

## Responses

- `200`: Success
- `400`: The request was malformed
- `401`: No valid credential
- `403`: The credential lacks the scope, origin or address
- `429`: Over the key's rate limit; see Retry-After

## Example

```sh
curl -X POST 'https://api.rivier.ai/browser/sessions/{id}/act' \
  -H 'Authorization: Bearer $KEY' \
  -H 'Content-Type: application/json' \
  -d '{
  "instruction": "string"
}'
```
